%global pypi_name keystoneauth1

%bcond_with doc

Summary:    Authentication Library for OpenStack Clients
Name:       python-%{pypi_name}
Version:    5.0.0
Release:    8%{?dist}
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{pypi_name}
Source0:    https://tarballs.openstack.org/keystoneauth/keystoneauth1-%{version}.tar.gz

BuildArch:  noarch

%description
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%package -n     python3-%{pypi_name}
Summary:        Authentication Libarary for OpenStack Identity
BuildRequires: git-core python3-devel python3-setuptools python3-six python3-pbr >= 2.0.0
BuildRequires: python3-betamax >= 0.7.0 python3-fixtures >= 1.3.1 python3-mock python3-oslotest
BuildRequires: python3-oslo-config python3-oslo-utils python3-pytest python3-oauthlib
BuildRequires: python3-requests python3-os-service-types python3-stevedore python3-iso8601
BuildRequires: python3-requests-mock >= 1.1 python3-PyYAML python3-lxml python3-requests-kerberos
Requires:      python3-iso8601 >= 0.1.11 python3-os-service-types >= 1.2.0 python3-pbr >= 2.0.0
Requires:      python3-requests >= 2.14.2 python3-six => 1.10.0 python3-stevedore >= 1.20.0
Provides:      python3-keystoneauth

%description -n python3-%{pypi_name}
Keystoneauth provides a standard way to do authentication and service requests
within the OpenStack ecosystem. It is designed for use in conjunction with
the existing OpenStack clients and for simplifying the process of writing
new clients.

%if %{with doc}
%package -n python-%{pypi_name}-doc
Summary:    Documentation for OpenStack Identity Authentication Library
BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-openstackdocstheme

%description -n python-%{pypi_name}-doc
Documentation for OpenStack Identity Authentication Library
%endif


%prep
%autosetup -n %{pypi_name}-%{version} -S git

sed -i '/sphinx.ext.intersphinx.*$/d'  doc/source/conf.py

rm -rf {test-,}requirements.txt
rm -rf %{pypi_name}.egg-info
rm keystoneauth1/tests/unit/test_hacking_checks.py

%build
%{py3_build}

%install
%{py3_install}

%if %{with doc}
export PYTHONPATH=.
sphinx-build-3 -b html -d doc/build/doctrees doc/source doc/build/html
rm -rf doc/build/html/.buildinfo
%endif

%check
%pytest --ignore=keystoneauth1/tests/unit/test_session.py

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/*.egg-info

%if %{with doc}
%files -n python-%{pypi_name}-doc
%license LICENSE
%doc doc/build/html
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 09 2024 cunshunxia <cunshunxia@tencent.com> - 5.0.0-7
- use pytest instead of stestr.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 5.0.0-1
- initial build
